DbSequence::get_range()
Prev | Chapter 12. The DbSequence Handle | Next

## DbSequence::get_range()

    #include <db_cxx.h>

    int DbSequence::get_range(u_int32_t, db_seq_t *minp, db_seq_t *maxp);

The `DbSequence::get_range()` method returns the range of values in the sequence.

The `DbSequence::get_range()` method may be called at any time during the life of the application.

The `DbSequence::get_range()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### minp

The `DbSequence::get_range()` method returns the minimum value in minp.

#### maxp

The `DbSequence::get_range()` method returns the maximum value in maxp.

### Class

DbSequence

### See Also

Sequences and Related Methods

Prev | Up | Next
DbSequence::get_key() | Home | DbSequence::initial_value()